For the complete documentation index, see llms.txt. This page is also available as Markdown.

Agents

Get single Agent's status

get
Authorizations
AuthorizationstringRequired

Enter your bearer token in the format Bearer <token>

Path parameters
agentIdinteger · int64Required

Agent ID

Responses
200

OK

application/json
get/api/v1/agents/{agentId}/status
GET /api/v1/agents/{agentId}/status HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "url": "text",
    "httpPorts": [
      "text"
    ],
    "httpsPorts": [
      "text"
    ],
    "id": 1,
    "name": "text",
    "isGateway": true,
    "isCloudAgent": true,
    "lastError": "2026-01-01T00:00:00.000Z",
    "lastUpdate": "2026-01-01T00:00:00.000Z",
    "lastStatus": "text"
  }
}

List Agent's Event Log

get
Authorizations
AuthorizationstringRequired

Enter your bearer token in the format Bearer <token>

Path parameters
agentIdinteger · int64Required

Agent Identifier

Query parameters
PageNumberinteger · int32Optional

Current page number. Default value is 1.

PageSizeinteger · int32Optional

Maximum page size is 200. Default page size is 30.

Responses
200

OK

application/json
get/api/v1/agents/{agentId}/events
GET /api/v1/agents/{agentId}/events HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "eventId": 1,
      "level": "text",
      "utcTimestamp": "2026-01-01T00:00:00.000Z",
      "category": 1,
      "source": "text",
      "message": "text"
    }
  ],
  "paging": {
    "currentPage": 1,
    "pageSize": 1,
    "totalCount": 1,
    "firstPage": "https://example.com",
    "lastPage": "https://example.com",
    "nextPage": "https://example.com",
    "previousPage": "https://example.com"
  }
}

Last updated

Was this helpful?